## cups-filters 1.0.52

=== debian/changelog ===
cups-filters (1.0.52-0ubuntu1) trusty; urgency=low

  * New upstream bug fix release
     - texttopdf: Make sure that margin changes for prettyprint
       get applied.
     - texttopdf, imagetopdf, imagetoraster: Range-check paper
       dimensions and margins taken from the PPD file and correct
       them if needed (Bug #1195).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Mon,  7 Apr 2014 22:07:06 +0200

cups-filters (1.0.51-1) unstable; urgency=medium

  * New upstream bug fix release
     - cups-browsed: SECURITY FIX to prevent arbitrary code
       injection into the System V interface scripts generated for
       queues for discovered native IPP printers by a malicious IPP
       print service with forged make/model and/or PDL string.
       CVE-2014-2707 (Closes: #743470)

  [ Didier Raboud ]
  * Add patch to explicitly link to libm as -lm was dropped from
    cups-config --libs

 -- Didier Raboud <odyx@debian.org>  Thu, 03 Apr 2014 11:11:10 +0200

cups-filters (1.0.50-1) unstable; urgency=medium

  * New upstream bug fix release
     - pdftops: Let old HP LaserJet printers (model number without
       letter, like "LaserJet 3" or "LaserJet 4000") use Poppler
       instead of Ghostscript (Closes: #742765).
     - pdftops: Improved workaround for Toshiba printers. Instead
       of using Poppler do not emit TrueType fonts with Ghostscript
       (LP: #998087).
     - cups-browsed: Build the device URIs for all local queues we create
       with the CUPS library function httpAssembleURIf() for proper
       percent escaping of characters which are not allowed in URIs
       (Upstream bug #1187).

 -- Didier Raboud <odyx@debian.org>  Thu, 27 Mar 2014 21:18:05 +0100

cups-filters (1.0.49-1) unstable; urgency=medium

  [ Till Kamppeter ]
  * New upstream release
     - pdftops: Use Poppler also for Toshiba printers (LP: #998087).
     - pdftops: Fixed typo which always made PostScript level 2 being
       generated when using Poppler's pdftops (LP: #1294370).

  [ Marc Deslauriers ]
  * Use upstart job in source tree so AppArmor profile is correctly
    loaded before cups-browsed is started (LP: #1276630)
    - debian/local/cups-browsed.upstart: removed
    - debian/rules: copy upstart job from utils directory, stop using
      deprecated --upstart-only.

 -- Didier Raboud <odyx@debian.org>  Mon, 24 Mar 2014 21:29:17 +0100

cups-filters (1.0.48-1) unstable; urgency=medium

  * New upstream release 1.0.48
     - cups-browsed: Fix for a crash which happens on Bonjour reports of
       printers without "product", "usb_MDL", and "ty" fields in the
       text record (LP: #1284834).
     - cups-browsed: In README and in the sample startup scripts/configs
       for System V Init and Upstart taken into account the fact that it
       is not required any more to start avahi-daemon before starting
       cups-browsed.

  [ Didier Raboud ]
  * Fix bugnumber typo in previous changelog entry

 -- Didier Raboud <odyx@debian.org>  Mon, 24 Mar 2014 10:50:53 +0100

cups-filters (1.0.47-2) unstable; urgency=high

  * In cups-browsed's initscript, demote avahi-daemon from
    Required-{Start,Stop}, to Should-{Start,Stop}, to cope with the
    corresponding demotion in dependencies (Closes: #741353)
  * Set urgency to high for the fix of four CVEs in -1.

 -- Didier Raboud <odyx@debian.org>  Tue, 11 Mar 2014 19:05:48 +0100

cups-filters (1.0.47-1) unstable; urgency=medium

  * New upstream release 1.0.47
     - pdftoopvp: SECURITY FIX for CVE-2013-6474, CVE-2013-6475,
       and CVE-2013-6476: Introduction of gmallocn and gmallocn3
       to protect against arbitrary code execution with the
       privileges of the "lp" user via malicious PDF files. Also
       restrict the directory from where OPVP drivers can get
       loaded (Closes: #741318)
     - urftopdf: SECURITY FIX for CVE-2013-6473: Two heap-based
       buffer overflow flaws in urftopdf. If a malicious URF file
       were processed it could lead to arbitrary code execution
       with the privileges of the "lp" user (Closes: #741318)

  [ Till Kamppeter ]
  * Demote Dependency of cups-browsed on avahi-daemon to Recommends, also
    remove "on started avahi-daemon" from the "start on ..." rule in
    /etc/init/cups-browsed.conf (LP: #1242185, LP: #1178172)

 -- Didier Raboud <odyx@debian.org>  Tue, 11 Mar 2014 13:36:14 +0100

cups-filters (1.0.46-2) unstable; urgency=medium

  * Convert to dh tiny style away from cdbs, fix and run the tests in the
    process
  * Install cups-browsed.service, therefore build-depend on and use dh-systemd
  * Move the repository from pkg-cups to printing; update the VCS-* fields
    accordingly

 -- Didier Raboud <odyx@debian.org>  Thu, 06 Mar 2014 17:03:34 +0100

cups-filters (1.0.46-1) unstable; urgency=medium

  * New upstream release 1.0.46
  * Move LP_LOAD_MODULES configuration away from cups to
    /etc/modules-load.d/cups-filters.conf

 -- Didier Raboud <odyx@debian.org>  Mon, 24 Feb 2014 15:45:32 +0100

cups-filters (1.0.46-0ubuntu1) trusty; urgency=low

  * New upstream release 1.0.46
     - gstoraster: Ignore SIGCHLD, rely on waitpid instead. Thanks
       to Lauri Tirkkonen (Upstream bug #1184).
     - gstoraster: Fix two instances of insufficient EINTR handling.
       Thanks to Lauri Tirkkonen (Upstream bug #1184).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Wed, 19 Feb 2014 20:19:06 +0100

cups-filters (1.0.45-1) unstable; urgency=medium

  * New upstream release 1.0.45
    - cups-browsed: Under Upstart load the AppArmor profile (LP: #1276630)
    - foomatic-rip: Do not use PATH_MAX for the length of static strings
      which are supposed to hold a command line. Use our own CMDLINE_MAX
      constant to set them to a length of 65535 bytes
      (LP: #1019662, Closes: #738440).

  * Drop the upstart patch now included upstream
  * Bump Standards-Version to 3.9.5 without changes needed

 -- Didier Raboud <odyx@debian.org>  Fri, 14 Feb 2014 10:37:28 +0100


