=== debian/watch ===
version=3
http://www.openprinting.org/download/cups-filters/ \
 cups-filters-(?:[_\-]v?|)(\d\S*)\.(?:tar\.xz|txz)
