## cups-filters 1.0.61

=== debian/changelog ===
cups-filters (1.0.61-5+deb8u1) jessie-security; urgency=high

  * Backport upstream fixes for buffer overflows on size allocation in texttopdf
    (CVE-2015-3258, CVE-2015-3279)

 -- Didier Raboud <odyx@debian.org>  Fri, 03 Jul 2015 17:34:15 +0200

cups-filters (1.0.61-5) unstable; urgency=high

  * Backport upstream's patch to fix a bug in the remove_bad_chars() failing
    to reliably filter out illegal characters, allowing execution of arbitrary
    commands with the rights of the "lp" user, using forged print service
    announcements on DNS-SD servers (Closes: #780267, CVE-2015-2265)
  * Urgency high for the security fix

 -- Didier Raboud <odyx@debian.org>  Wed, 11 Mar 2015 13:50:30 +0100

cups-filters (1.0.61-4) unstable; urgency=medium

  * Brown-paper bag upload: revert unwanted change from previous upload in
    installed files.

 -- Didier Raboud <odyx@debian.org>  Sun, 23 Nov 2014 14:56:37 +0100

cups-filters (1.0.61-3) unstable; urgency=medium

  * Backport upstream's patch to add support for 'BrowseAllow all' in
    cups-browsed.conf (Closes: #766334)

 -- Didier Raboud <odyx@debian.org>  Sun, 23 Nov 2014 14:00:47 +0100

cups-filters (1.0.61-2) unstable; urgency=medium

  [ Jamie Strandboge ]
  * Under apparmor, allow cups-browsed to read /etc/cups/lpoptions
    (Closes: #765583, LP: #1379368)

  [ Didier Raboud ]
  * Bump Standards-Version to 3.9.6 without changes needed
  * Remove Martin Pitt from the Uploaders' field with many thanks for his past
    work on cups-filters

 -- Didier Raboud <odyx@debian.org>  Thu, 16 Oct 2014 14:44:20 +0200

cups-filters (1.0.61-1) unstable; urgency=medium

  * New upstream bug fix release
     - cups-browsed: Fixed memory leak when a cups-browsed-generated print
       queue is the default printer.
     - cupsfilters.drv, *-PDF.ppd, textonly.ppd: Added "*cupsFilter2: ..."
       lines to the PPD files to support data-format-specific behavior of
       backends, especially of the IPP backend.
     - cups-browsed, pdftoippprinter: Do not confuse the PDL "PCLm" with
       "PCL". The former is a proprietary, PDF-based raster format and has
       nothing to do with PCL.
     - cupsfilters.drv: Corrected the CMD: field of the device ID, it must
       read "PWGRaster" there to conform to the PWG standard.

 -- Didier Raboud <odyx@debian.org>  Wed, 15 Oct 2014 16:11:01 +0200

cups-filters (1.0.59-1) unstable; urgency=medium

  * New upstream release

    - cupsfilters.drv: Added PPD file for a Generic IPP Everywhere
      Printer, generating PWG Raster output.
    - gstoraster, pdftoraster, imagetoraster: Allow PWG Raster
      output with print queues using a PPD file, using the new
      "PWGRaster" PPD attribute.
    - pdftoraster: Removed "cm_disabled" flag in selectConvFunc()
    - libcupsfilters: Allowed color management to continue while
      invalid input
    - rastertopdf: Streamlined PDF conversion code
    - rastertopdf: Invert all CUPS_CSPACE_K documents by default
    - foomatic-rip: Clean trailing white space from PPD file lines to
      avoid a segfault caused by it (Bug #1227).

 -- Didier Raboud <odyx@debian.org>  Sat, 27 Sep 2014 21:18:17 +0200

cups-filters (1.0.58-1) unstable; urgency=medium

  * New upstream release
     - Completion of color management support. Thanks to Joseph Simon adding
       color management as his Google Summer of Code 2014 project.
  * Update libcupsfilters1 symbols file with 15 new symbols

 -- Didier Raboud <odyx@debian.org>  Fri, 22 Aug 2014 06:29:32 +0200

cups-filters (1.0.57-1) unstable; urgency=medium

  * Imported Upstream version 1.0.57
    - libcupsfilters, foomaticrip, gstoraster, imagetoraster,
      pdftoraster, rastertopclx, rastertopdf: Handle absence of
      colord or D-Bus gracefully (LP: #1356405).
  * Drop patches included upstream

 -- Didier Raboud <odyx@debian.org>  Thu, 14 Aug 2014 09:13:34 +0200

cups-filters (1.0.56-1) unstable; urgency=medium

  * New upstream release
  * Patches:
    - Drop the backported upstream Backport upstream patch to fix cups-browsed
      detection of remote CUPS queues, was from this version
    - Add patch to fix implicit declaration of colord_get_inhibit_for_device_id
      in rastertopclx

 -- Didier Raboud <odyx@debian.org>  Wed, 13 Aug 2014 17:17:56 +0200

cups-filters (1.0.55-2) unstable; urgency=medium

  * Backport upstream patch to fix cups-browsed detection of remote CUPS queues
    (Closes: #756724)

 -- Didier Raboud <odyx@debian.org>  Wed, 13 Aug 2014 13:21:45 +0200

cups-filters (1.0.55-1) unstable; urgency=medium

  * New upstream release:
    - pdftopdf: Fixed manual duplex by adding a blank page to even
      pages if the total number of pages of the document is
      odd. Otherwise the last page of the document would stay in
      the input tray. This fixes also a side effect as the set of
      even pages reducing to a zero page job if the job consists
      of only one page, making Poppler's pdftops error out
      (LP: #1340435)
    - cups-browsed: Do not create a local queue pointing to a
      remote raw queue (LP: #1335211).

 -- Didier Raboud <odyx@debian.org>  Mon, 28 Jul 2014 08:44:07 +0200

cups-filters (1.0.54-3) unstable; urgency=medium

  * Brown-paper bag upload without the autopkgtests attempts leftovers.

 -- Didier Raboud <odyx@debian.org>  Wed, 25 Jun 2014 09:49:15 +0200

cups-filters (1.0.54-2) unstable; urgency=medium

  [ Didier Raboud ]
  * Install the new rastertopdf filter (Closes: #752146)

  [ Pino Toscano ]
  * Allow parallel build (Closes: #751196)

 -- Didier Raboud <odyx@debian.org>  Sat, 21 Jun 2014 14:41:14 +0200

cups-filters (1.0.54-1) unstable; urgency=medium

  * New upstream release:
    - pdftops: Default to "hybrid" setting for the PDF->PostScript
      renderer
    - foomatic-rip: Corrected declaration of print_pdf() function in
      pdf.h file (Closes: #748028)
    - cups-browsed: Create local queues also to access classes on
      remote CUPS servers (LP: #1313741)

