## cups-filters 1.0.67

=== debian/changelog ===
cups-filters (1.0.67-0ubuntu2) vivid; urgency=medium

  * debian/patches/cups-browsed-fix-numeric-ids-of-gsources.patch:
    cups-browsed: Numeric IDs for GSources of the glib event
    loop must be positive integers greater than zero according
    to the documentation of the g_source_get_id() function.
    Taken care of this at all places.
    Hopefully it fixes the recent crashes of cups-browsed: LP: #1435287,
    LP: #1436733, LP: #1436684, LP: #1431041, LP: #1434321

 -- Till Kamppeter <till.kamppeter@gmail.com>  Thu,  9 Apr 2015 22:40:03 -0300

cups-filters (1.0.67-0ubuntu1) vivid; urgency=medium

  * New upstream release
     - cups-browsed: Use g_source_remove() instead of g_source_destroy()
       for killing auto shutdown timers (LP: #1427344).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Wed, 11 Mar 2015 16:31:03 +0100

cups-filters (1.0.66-0ubuntu1) vivid; urgency=medium

  * New upstream bug fix release
     - cups-browsed: SECURITY FIX: Fixed a bug in the remove_bad_chars()
       failing to reliably filter out illegal characters if there are two
       or more subsequent illegal characters, allowing execution of
       arbitrary commands with the rights of the "lp" user, using forged
       print service announcements on DNS-SD servers (Upstream bug #1265).
     - pdftoopvp: Added conditionals to also build with Poppler 0.31.0
       and newer. Thanks to Armin K. (krejzi at email dot com) for the
       patch (Upstream bug #1254).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Sat, 28 Feb 2015 08:11:55 +0100

cups-filters (1.0.65-0ubuntu1) vivid; urgency=medium

  * New upstream release
     - Lots of bug fixes on legacy browsing/broadcasting. Thanks to Tim Waugh
       from Red Hat.
  * debian/control: Added build dependency on libglib2.0-dev.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Fri, 13 Feb 2015 22:42:36 -0200

cups-filters (1.0.64-0ubuntu1) vivid; urgency=medium

  * New upstream release
     - cups-browsed: Added PPD file generator for IPP Everywhere and other
       suitable IPP printers. So IPP printers set up automatically (using
       "CreateIPPPrinterQueues Yes" in cups-browsed.conf) get PPD files is
       possible and so printing options are sown in all print dialogs. The
       dialog does not need to request option information from the printer
       via IPP. Code taken from CUPS 2.1.x development branch.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Fri, 13 Feb 2015 18:37:47 -0200

cups-filters (1.0.61-0ubuntu4) vivid; urgency=medium

  * No-change rebuild for new poppler

 -- Iain Lane <iain@orangesquash.org.uk>  Wed, 21 Jan 2015 18:03:15 +0000

cups-filters (1.0.61-0ubuntu3) vivid; urgency=medium

  * No-change rebuild for new poppler

 -- Iain Lane <iain@orangesquash.org.uk>  Wed, 12 Nov 2014 17:01:22 +0000

cups-filters (1.0.61-0ubuntu2) utopic; urgency=medium

  * debian/apparmor/usr.sbin.cups-browsed: allow read on /etc/cups/lpoptions
    (LP: #1379368)

 -- Jamie Strandboge <jamie@ubuntu.com>  Thu, 16 Oct 2014 06:34:18 -0500

cups-filters (1.0.61-0ubuntu1) utopic; urgency=medium

  * New upstream bug fix release
     - cups-browsed: Fixed memory leak when a
       cups-browsed-generated print queue is the default
       printer. Thanks to Tim Waugh from Red Hat for the patch (Red
       Hat bug: #1119290).
     - cupsfilters.drv, *-PDF.ppd, textonly.ppd: Added
       "*cupsFilter2: ..."  lines to the PPD files to support
       data-format-specific behavior of backends, especially of the
       IPP backend.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Fri, 10 Oct 2014 15:49:49 +0200

cups-filters (1.0.60-0ubuntu1) utopic; urgency=medium

  * New upstream bug fix release
     - cups-browsed, pdftoippprinter: Do not confuse the PDL "PCLm"
       with "PCL". The former is a proprietary, PDF-based raster
       format and has nothing to do with PCL.
     - cupsfilters.drv: Corrected the CMD: field of the device ID,
       it must read "PWGRaster" there to conform to the PWG standard.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Mon, 06 Oct 2014 17:17:35 +0200

cups-filters (1.0.59-0ubuntu1) utopic; urgency=medium

  * New upstream bug fix release
     - pdftoraster: Removed "cm_disabled" flag in selectConvFunc()
     - libcupsfilters: Allowed color management to continue while
       invalid input
     - rastertopdf: Streamlined PDF conversion code
     - rastertopdf: Invert all CUPS_CSPACE_K documents by default
     - foomatic-rip: Clean trailing white space from PPD file lines to
       avoid a segfault caused by it (Bug #1227).
     - cupsfilters.drv: Added PPD file for a Generic IPP Everywhere
       Printer, generating PWG Raster output.
  * Updated ippusbxd to final 1.21 version with following fixes:
     - Shuts itself down upon printer unplug or sleep
     - A few sign conversion bugs have been fixed
     - Uses the same timeout (6 hours) as Mac OSX (this fixes the bug
       where only the top portion of pages was printed)
     - Only claims usb interfaces when needed (something Mike suggested
       and how Mac OSX handles it)
     - Supports trailers in http chunk transport messages (rarely used but
       important feature of http)

 -- Till Kamppeter <till.kamppeter@gmail.com>  Sat, 27 Sep 2014 22:35:42 +0200

cups-filters (1.0.58-0ubuntu1) utopic; urgency=medium

  * New upstream release
     - Completion of color management support. Thanks to Joseph Simon adding
       color management as his Google Summer of Code 2014 project.
  * Updated debian/libcupsfilters1.symbols file.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Wed, 20 Aug 2014 18:49:26 +0200

cups-filters (1.0.57-1ubuntu1) utopic; urgency=medium

  * Added ippusbxd (Support for IPP-over-USB printers) temporarily in
    debian/local/ippusbxd, generating the new binary package
    cups-filters-ippusbxd. This serves only to get ippusbxd into Utopic
    before Feature Freeze. It will be removed again as soon as a proper

