## cups-filters 1.0.76

=== debian/changelog ===
cups-filters (1.0.76-1) unstable; urgency=medium

  * New upstream release

  [ Till Kamppeter ]
  * Let AppArmor allow cups-browsed access /var/cache/cups/ as it puts some
    files for default printer management and load balancing there

 -- Didier Raboud <odyx@debian.org>  Mon, 14 Sep 2015 11:15:58 +0200

cups-filters (1.0.75-1) unstable; urgency=medium

  * New upstream release

 -- Didier Raboud <odyx@debian.org>  Wed, 09 Sep 2015 08:52:16 +0200

cups-filters (1.0.74-2) unstable; urgency=medium

  * Upload to unstable

 -- Didier Raboud <odyx@debian.org>  Mon, 07 Sep 2015 09:26:56 +0200

cups-filters (1.0.74-1) experimental; urgency=low

  * New upstream release
    - cups-browsed: Added NULL check when getting the notification of
      a printer starting to process a job and checking whether this
      printer is created by cups-browsed with the implicitclass:
      backend (LP: #1488524)
    - backends: Include unistd.h and fcntl.h in backend-private.h for
      all platforms, not only Linux, so that the backends build also
      on non-Linux platforms (Bug #1308)

 -- Didier Raboud <odyx@debian.org>  Wed, 26 Aug 2015 09:47:47 +0200

cups-filters (1.0.73-1) experimental; urgency=low

  * New upstream release
    - cups-browsed: Added LDAP support. Appropriately configured via
      cups-browsed.conf remote printers made available via LDAP will be
      looked up and local queues pointing to them created. Thanks to
      Raphael Geissert for contributing this patch (Closes: #795185)
    - foomatic-rip: Prevent crash when supplying "media" option with empty
      value ("media=", LP: #1479871)

  * Drop patches, all included upstream
  * Add a B-D on libldap2-dev for the new LDAP browsing support
  * Correct the CVE identifier in the previous upload

 -- Didier Raboud <odyx@debian.org>  Wed, 19 Aug 2015 18:04:54 +0200

cups-filters (1.0.71-1) unstable; urgency=medium

  * New upstream release
    - texttopdf: The Page allocation is moved into textcommon.c, where it does
      all the necessary checking, Thanks to Tim Waugh from Red Hat for the
      patch.
    - texttopdf: Upper-bounds checking (CVE-2015-3279).

  * Update gbp.conf again, use DEFAULTS
  * Amend 1.0.70-1 changelog entry to attribute the patch origin correctly to
    Tim Waugh

 -- Didier Raboud <odyx@debian.org>  Fri, 03 Jul 2015 12:39:51 +0200

cups-filters (1.0.70-2) unstable; urgency=medium

  * Refresh fix.scanned.copyright to reflect COPYING more closely, add a GPL-2
    catchall
  * Update gbp.conf again, changed my mind

 -- Didier Raboud <odyx@debian.org>  Mon, 29 Jun 2015 23:10:02 +0200

cups-filters (1.0.70-1) unstable; urgency=medium

  * New upstream release
    - texttopdf: Fixed buffer overflow on size allocation of texttopdf
      when working with extremely small line sizes, which causes the size
      calculation to result in 0 (CVE-2015-3258, thanks to Tim Waugh
      from Red Hat for the patch).
    - foomatic-rip: Allow using another shell than /bin/bash using the
      "--with-shell=..." option for "./configure". Thanks to Leonardo
      Taccari for the patch (Bug #1288).

  * Add gbp.conf for dch and import-orig
  * Configure --with-shell to use Debian's default
  * Rewrite debian/copyright with the help of `cme update dpkg-copyright`

 -- Didier Raboud <odyx@debian.org>  Sat, 27 Jun 2015 15:05:04 +0200

cups-filters (1.0.69-1) unstable; urgency=low

  * New upstream release
    - Cope with the {pdfto,sys5}ippprinter filter rename

 -- Didier Raboud <odyx@debian.org>  Thu, 11 Jun 2015 08:41:13 +0200

cups-filters (1.0.68-2) unstable; urgency=medium

  [ Fabian Greffrath ]
  * Remove obsolete font symlinks in /usr/share/cups/fonts (Closes: #788046)
  * Add patch to request the generic 'monospace' font alias from fontconfig
    instead of the hard-coded FreeMono (Closes: #788048)

 -- Didier Raboud <odyx@debian.org>  Tue, 09 Jun 2015 18:36:08 +0200

cups-filters (1.0.68-1) unstable; urgency=low

  * New upstream release
    - cups-browsed: Numeric IDs for GSources of the glib event
      loop must be positive integers greater than zero according
      to the documentation of the g_source_get_id() function.
      Taken care of this at all places.
    - Ricoh-PDF_Printer-PDF.ppd: Added PPD file for Ricoh's PDF printers
      (experimental). Thanks to Ulrich Wehner from Ricoh for the file.

 -- Didier Raboud <odyx@debian.org>  Thu, 07 May 2015 10:24:17 +0200

cups-filters (1.0.67-1) experimental; urgency=medium

  * New upstream release
     - cups-browsed: Use g_source_remove() instead of g_source_destroy()
       for killing auto shutdown timers (LP: #1427344).

 -- Didier Raboud <odyx@debian.org>  Sun, 12 Apr 2015 10:54:21 +0200

cups-filters (1.0.66-1) experimental; urgency=high

  * New 1.0.66 upstream release
    - cups-browsed: SECURITY FIX: Fixed a bug in the remove_bad_chars()
      failing to reliably filter out illegal characters if there are two
      or more subsequent illegal characters, allowing execution of
      arbitrary commands with the rights of the "lp" user, using forged
      print service announcements on DNS-SD servers (Bug #1265).
      (Closes: #780267, CVE-2015-2265)
    - Lots of bug fixes on legacy browsing/broadcasting. Thanks to Tim Waugh
      from Red Hat.
    - cups-browsed: Added PPD file generator for IPP Everywhere and other
      suitable IPP printers. So IPP printers set up automatically (using
      "CreateIPPPrinterQueues Yes" in cups-browsed.conf) get PPD files is
      possible and so printing options are sown in all print dialogs. The
      dialog does not need to request option information from the printer
      via IPP. Code taken from CUPS 2.1.x development branch.

  [ Didier Raboud ]
  * Update copyright years for Till's contributions

  [ Till Kamppeter ]
  * Added build dependency on libglib2.0-dev

 -- Didier Raboud <odyx@debian.org>  Wed, 11 Mar 2015 14:05:44 +0100

cups-filters (1.0.62-1) experimental; urgency=low


