=== debian/control ===
--- 
+++ 
@@ -1,12 +1,10 @@
 Source: cups-filters
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Priority: optional
 Section: net
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Printing Team <debian-printing@lists.debian.org>
+Maintainer: Debian Printing Team <debian-printing@lists.debian.org>
 Uploaders: 
  Till Kamppeter <till.kamppeter@gmail.com>,
- Martin Pitt <mpitt@debian.org>,
  Didier Raboud <odyx@debian.org>
 Build-Depends: 
  autoconf,
@@ -22,6 +20,7 @@
  poppler-utils,
  libglib2.0-dev,
  liblcms2-dev,
+ libldap2-dev,
  libpoppler-private-dev (>= 0.16.0),
  libpoppler-cpp-dev,
  libqpdf-dev (>= 4.0.1),
@@ -39,10 +38,7 @@
  libavahi-glib-dev,
  librsvg2-bin,
 # Needed for tests
- fonts-dejavu-core,
-# Needed for ippusbxd
- libudev-dev,
- libusb-1.0-0-dev
+ fonts-dejavu-core
 Homepage: http://www.openprinting.org/
 Vcs-Git: https://alioth.debian.org/anonscm/git/printing/cups-filters.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=printing/cups-filters.git
@@ -179,20 +175,3 @@
 #Description: OpenPrinting CUPS Filters - Debugging symbols
 # This package provides the debugging symbols for OpenPrinting
 # CUPS Filters.
-
-Package: cups-filters-ippusbxd
-Architecture: any
-Depends: ${shlibs:Depends}, 
- ${misc:Depends}
-Recommends: system-config-printer-udev
-Enhances: cups
-Description: ippusbxd - Daemon for IPP-over-USB printer support
- This package provides ippusbxd, a daemon which lets IPP-over-USB
- printers appear as regular network IPP printers and so one can prints
- on them with CUPS ("ipp" backend) and access the configuration web
- interface with any browser.
- .
- We have added ippusbxd as a binary package to cups-filters only
- temporarily to get ippusbxd into Utopic before Feature Freeze. Later
- on, an own source package for ippusbxd will get introduced in Debian
- and synced to Ubuntu, its binary package replacing this package.
