=== debian/rules ===
--- 
+++ 
@@ -10,6 +10,7 @@
 override_dh_auto_configure:
 	dh_auto_configure -- \
 		--disable-silent-rules \
+		--with-shell=/bin/sh \
 		--libdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
 		--mandir=/usr/share/man \
 		--enable-static \
