## cups-filters 1.8.3

=== debian/changelog ===
cups-filters (1.8.3-2ubuntu3.5) xenial-security; urgency=medium

  * Fix PDF printing regression caused by latest Ghostscript security
    updates (LP: #1828401)
    - debian/patches/lp1828401.patch: don't use undocumented Ghostscript
      function in filter/foomatic-rip/pdf.c.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 09 May 2019 10:49:44 -0400

cups-filters (1.8.3-2ubuntu3.4) xenial-security; urgency=medium

  * Rebuild against new qpdf security update.
    - debian/control: Bump libqpdf-dev Build-Depends to 8.0~

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 01 May 2018 14:16:12 -0400

cups-filters (1.8.3-2ubuntu3.1) xenial-proposed; urgency=medium

  * Added "Requires=cups-service" to the cups-browsed.service file to make
    cups-browsed always shut down before CUPS to avoid the system hanging
    during shutdown (LP: #1579905).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Thu, 18 Aug 2016 17:23:06 -0300

cups-filters (1.8.3-2ubuntu3) xenial; urgency=medium

  * Undo cups-filters-lsb and cups-filters-invalid-mta changes, we
    will fix this in a more generic way in a post-release update.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 20 Apr 2016 09:29:13 -0600

cups-filters (1.8.3-2ubuntu2) xenial; urgency=medium

  * Added Conflicts:/Replaces:/Provides: foomatic-filters-beh to the
    cups-filters binary package due to the fact that the beh backend is
    now part of cups-filters (LP: #1563686).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Wed, 29 Mar 2016 09:29:06 -0300

cups-filters (1.8.3-2ubuntu1) xenial; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
     - Added the binary packages cups-filters-lsb and cups-filters-invalid-mta
       to temporarily replace the dropped LSB support in Debian/Ubuntu which
       we need for distribution-independent printer driver packages. This
       will be removed as soon as a new concept for distribution-independent
       printer driver packages is in place.
     - Added build dependency on python3-all-dev for the cups-filters-lsb
       binary package.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Fri, 25 Mar 2016 18:20:06 -0300

cups-filters (1.8.3-2) unstable; urgency=medium

  [ Till Kamppeter ]
  * Install the new /usr/share/cups/mime/cupsfilters-ghostscript.convs file

 -- Didier Raboud <odyx@debian.org>  Fri, 25 Mar 2016 17:19:45 +0100

cups-filters (1.8.3-1) unstable; urgency=medium

  * New upstream release
   - cups-browsed: When creating or modifying a local print queue
     set the printer-is-shared bit to false in a separate IPP
     request as this operation errors on queues directly pointing
     to remote CUPS queues with the IPP backend. This way we can
     ignore the error and assure that all other settings are
     applied (LP: #1560099)

  * Refresh debian/copyright to reflect the gstoraster convs file split

 -- Didier Raboud <odyx@debian.org>  Thu, 24 Mar 2016 13:27:49 +0100

cups-filters (1.8.2-3) unstable; urgency=medium

  * Bump Standards-Version to 3.9.7 without changes needed
  * Drop superfluous liblouis-data dependency (Closes: #816304)

 -- Didier Raboud <odyx@debian.org>  Mon, 29 Feb 2016 22:15:54 +0100

cups-filters (1.8.2-2ubuntu3) xenial; urgency=medium

  * No change rebuild with the new poppler soname

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 29 Feb 2016 10:51:13 +0100

cups-filters (1.8.2-2ubuntu2) xenial; urgency=medium

  * Added build dependency on python3-all-dev for the cups-filters-lsb
    binary package.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Mon, 15 Feb 2016 18:40:06 -0200

cups-filters (1.8.2-2ubuntu1) xenial; urgency=medium

  * Added the binary packages cups-filters-lsb and cups-filters-invalid-mta
    to temporarily replace the dropped LSB support in Debian/Ubuntu which
    we need for distribution-independent printer driver packages. This
    will be removed as soon as a new concept for distribution-independent
    printer driver packages is in place.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Mon, 15 Feb 2016 16:56:06 -0200

cups-filters (1.8.2-2) unstable; urgency=medium

  * Make the liblouis-bin an alternate recommendation of liblouisutdml-bin
    (Closes: #813094)

 -- Didier Raboud <odyx@debian.org>  Mon, 15 Feb 2016 07:47:09 +0100

cups-filters (1.8.2-1) unstable; urgency=medium

  * New upstream release
    - cups-browsed: Optionally generate also local queues pointing
      to remote raw queues. Usually only queues pointing to remote
      queues with PPD/driver are created (Closes: #814020)

 -- Didier Raboud <odyx@debian.org>  Sat, 13 Feb 2016 16:38:58 +0100

cups-filters (1.8.1-1) unstable; urgency=medium

  * New upstream release
    - cups-browsed: Do not disable queues which still have jobs (and
      therefore cannot be removed) when avahi-daemon goes away, the
      print server is most probably still available and printing can
      be continued. Especially important on mobile devices where
      avahi-daemon is shut down when the print dialog is closed (and
      the job(s) still printing).

 -- Didier Raboud <odyx@debian.org>  Fri, 22 Jan 2016 09:25:46 +0100

cups-filters (1.8.0-1) unstable; urgency=medium

  * New upstream release
    - COPYING: Replaced the COPYING file by a file in Debian format,
      derived from Debian's file but updated and corrected
    - braille: Added info about additional packages needed for Braille
      printing to the README file
    - braille: Let the Braille filters use lou_translate of
      liblouis if the more sophisticated file2brl of liblouisutdml
      is not installed. This is decided on at run time, so later
      installation of liblouisutdml will let the filters
      automatically switch to file2brl
    - braille: Allow one to build with Braille support also if
      liblouis is not installed at build time
    - braille: Added checks for the presence of helper tools, to
      get clear messages in the CUPS error_log if something is
      missing

