=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: cups-filters
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Priority: optional
 Section: net
-Maintainer: Debian Printing Team <debian-printing@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Printing Team <debian-printing@lists.debian.org>
 Uploaders: 
  Till Kamppeter <till.kamppeter@gmail.com>,
  Didier Raboud <odyx@debian.org>
@@ -23,9 +24,9 @@
  libldap2-dev,
  libpoppler-private-dev (>= 0.16.0),
  libpoppler-cpp-dev,
- libqpdf-dev (>= 4.0.1),
+ libqpdf-dev (>= 8.0~),
  libjpeg-dev,
- libpng-dev | libpng12-dev,
+ libpng-dev,
  libtiff-dev,
  libcups2-dev,
  libcupsimage2-dev (>= 1.5.2-6~),
@@ -37,6 +38,7 @@
  libavahi-client-dev,
  libavahi-glib-dev,
  librsvg2-bin,
+ liblouis-dev,
 # Needed for tests
  fonts-dejavu-core
 Homepage: http://www.openprinting.org/
@@ -74,20 +76,28 @@
  cups-filters-core-drivers (>= ${binary:Version}),
  bc,
  ghostscript (>= 9.02~),
-Recommends: colord
-Suggests: foomatic-db-compressed-ppds | foomatic-db
+ imagemagick (>= 6.4~),
+ poppler-utils
+Recommends: colord,
+ liblouisutdml-bin | liblouis-bin,
+Suggests: foomatic-db-compressed-ppds | foomatic-db,
+ antiword,
+ docx2txt
 Conflicts: ghostscript-cups,
- foomatic-filters
+ foomatic-filters,
+ foomatic-filters-beh
 Replaces: cups (<< 1.5.0-16), 
  cups-common (<< 1.5.0-16),
  ghostscript-cups,
  foomatic-filters,
+ foomatic-filters-beh,
  cups-ppdc (<< 1.6)
 Breaks: cups (<< 1.5.0-16), 
  cups-common (<< 1.5.0-16),
  cups-ppdc (<< 1.6)
 Provides: ghostscript-cups,
- foomatic-filters
+ foomatic-filters,
+ foomatic-filters-beh
 Description: OpenPrinting CUPS Filters - Main Package
  This package provides additional CUPS filters which are not provided
  by the CUPS project itself. This includes filters for a PDF based
@@ -103,9 +113,9 @@
  bc,
  poppler-utils
 Replaces: cups (<< 1.5.0-16),
- cups-filters (<< 1.0.44-1~)
+ cups-filters (<< 1.1.0-2~)
 Breaks: cups (<< 1.5.0-16),
- cups-filters (<< 1.0.44-1~)
+ cups-filters (<< 1.1.0-2~)
 Description: OpenPrinting CUPS Filters - PPD-less printing
  This package provides additional CUPS filters which are not provided
  by the CUPS project itself. This includes filters for a PDF based
@@ -148,7 +158,9 @@
 Depends: ${shlibs:Depends}, 
  ${misc:Depends}
 Recommends: avahi-daemon (>= 0.6.31-3~)
-Breaks: cups-daemon (<< 1.6.4)
+Replaces: cups-filters (<< 1.4.0~)
+Breaks: cups-daemon (<< 1.6.4),
+ cups-filters (<< 1.4.0~)
 Enhances: cups
 Description: OpenPrinting CUPS Filters - cups-browsed
  This package provides cups-browsed, a daemon which browses the Bonjour
@@ -164,14 +176,3 @@
  cups-browsed is also useful with a CUPS >= 1.6 server to allow CUPS <
  1.6 clients to browse its printer list (by using the old 'cups'
  protocol in BrowseLocalProtocols).
-
-#Package: cups-filters-dbg
-#Priority: extra
-#Section: debug
-#Architecture: any
-#Depends: ${shlibs:Depends},
-#  ${misc:Depends},
-#  cups-filters (= ${binary:Version}) | libcupsfilters1 (= ${binary:Version})
-#Description: OpenPrinting CUPS Filters - Debugging symbols
-# This package provides the debugging symbols for OpenPrinting
-# CUPS Filters.
