=== debian/rules ===
--- 
+++ 
@@ -24,7 +24,7 @@
 
 override_dh_fixperms:
 	dh_fixperms -Xusr/lib/cups/backend
-	
+
 	# Make the serial backend run as root, since /dev/ttyS* are
 	# root:dialout and thus not accessible as user lp
 	chmod 700 debian/cups-filters/usr/lib/cups/backend/serial
@@ -43,7 +43,7 @@
 	cp utils/cups-browsed-upstart.conf debian/cups-browsed.upstart
 endif
 	dh_install
-	
+
 ifeq ($(derives_from_ubuntu),yes)
 	#  - Install Apport hook
 	#  - Replace standard test page template by Ubuntu-branded one
