## cups-filters 1.8.3-2ubuntu3.4+8.0trisquel1

=== debian/changelog ===
cups-filters (1.8.3-2ubuntu3.4+8.0trisquel1) flidas-security; urgency=medium

  * Replaced testpage pdf

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Wed, 09 May 2018 10:19:52 +0000
